Get captions files list
curl --request GET \
--url https://api.poix.io/files/captions/{videoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poix.io/files/captions/{videoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poix.io/files/captions/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "srt",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srt",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=srt&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "vtt",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=vtt",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=vtt&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "ttml",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=ttml",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=ttml&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "srv1",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv1",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=srv1&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "srv2",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv2",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=srv2&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "srv3",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv3",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=srv3&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "json3",
"url": "https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=json3",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=json3&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "json",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=json&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "xml",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=xml&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "csv",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=csv&lang=en"
},
{
"languageName": "English (auto-generated)",
"languageCode": "en",
"format": "text",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=text&lang=en"
},
{
"languageName": "Spanish (translated)",
"languageCode": "es",
"format": "json",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=json&lang=es"
},
{
"languageName": "Spanish (translated)",
"languageCode": "es",
"format": "xml",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=xml&lang=es"
},
{
"languageName": "Spanish (translated)",
"languageCode": "es",
"format": "csv",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=csv&lang=es"
},
{
"languageName": "Spanish (translated)",
"languageCode": "es",
"format": "text",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=text&lang=es"
},
{
"languageName": "Spanish (translated)",
"languageCode": "es",
"format": "srt",
"staticUrl": "https://api.poix.io/captions/dQw4w9WgXcQ?format=srt&lang=es"
}
]{
"success": false,
"error": {
"issues": [
{
"code": "too_big",
"maximum": 11,
"type": "string",
"inclusive": true,
"exact": true,
"message": "String must contain exactly 11 character(s)",
"path": [
"videoId"
]
}
],
"name": "ZodError"
}
}{
"error": {
"message": "Forbidden"
}
}Files
Get captions files list
This endpoint retrieves a list of caption files for a specified YouTube video.
GET
/
files
/
captions
/
{videoId}
Get captions files list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The YouTube video ID
Required string length:
11Example:
"dQw4w9WgXcQ"
Query Parameters
The language code of the caption
Available options:
en, es, de, fr, ja, pt, tr, it, fa, nl, af, am, ar, as, az, be, bg, bn, bs, ca, cs, da, el, en-GB, en-IN, es-419, es-US, et, eu, fi, fil, fr-CA, gl, gu, hi, hr, hu, hy, id, is, iw, ka, kk, km, kn, ko, ky, lo, lt, lv, mk, ml, mn, mr, ms, my, no, ne, or, pa, pl, pt-PT, ro, ru, si, sk, sl, sq, sr-Latn, sr, sv, sw, ta, te, th, uk, ur, uz, vi, zh-CN, zh-HK, zh-TW, zh-Hans, zu, en-US, zh-Hant, zh, yue Example:
"en"
Filters the response to a specific formats
Available options:
json, text, csv, xml, srt, vtt, ttml, srv1, srv2, srv3, json3 Example:
"json"
Response
Successful response